Last Comment Bug 763231 - (idbwebidl) Convert IDB to new DOM bindings
(idbwebidl)
: Convert IDB to new DOM bindings
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: mozilla27
Assigned To: Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
:
Mentors:
Depends on: 763367 832883 854323 887524 888596 888597 888598 888599 890382 890405 891944 892065 906812
Blocks: ParisBindings AsyncIDB 704108
  Show dependency treegraph
 
Reported: 2012-06-09 14:32 PDT by Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
Modified: 2013-09-30 05:30 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-06-09 14:32:28 PDT
I think we may need to do this before unprefixing IndexedDB to get the dictionary behavior right :-/

In any case, it will be nice to ditch the XPCOM interfaces.
Comment 1 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-06-11 12:44:57 PDT
We realized we can fake what we need for unprefixing.
Comment 2 Jan Varga [:janv] 2013-09-28 04:35:28 PDT
We should be able to close this bug once the fix for bug 832883 appears on m-c.
Comment 3 Andrea Marchesini [:baku] 2013-09-29 03:05:29 PDT
Bug 832883 is fixed. This bug is closed. \o/

Note You need to log in before you can comment on or make changes to this bug.